
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "regexifi/version"

Gem::Specification.new do |spec|
  spec.name          = "regexifi"
  spec.version       = Regexifi::VERSION
  spec.authors       = ["Nick Gorbikoff"]
  spec.email         = ["nick.gorbikoff@gmail.com"]

  spec.summary       = %q{A collection of tested common Regex experessions. }
  spec.description   = %q{A collection of tested common Regex experessions. Because why re-invent the wheel every time for a new project? Don't add a bunch of adhoc Regex epxressions for common things like email addresses, urls, usernames, timeformats - Regexifi instead!}
  spec.homepage      = "https://github.com/konung/regexifi-rb"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake", "~> 12.3"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard", "~> 2.1"
  spec.add_development_dependency "guard-bundler"
  spec.add_development_dependency "guard-rspec", "~> 4.7"
  spec.add_development_dependency "guard-rubocop"
  spec.add_development_dependency "pry", "~> 0.12"
end
